# VCD Tracer

class pypdevs.tracers.tracerVCD.TracerVCD(uid, server, filename)

  A tracer for VCD output. Should only be used for binary signals!

  __init__(uid, server, filename)

    Constructor

    Parameters

      - uid – the UID of the tracer

      - server – the server to make remote requests on

      - filename – file to save the trace to

  startTracer(recover)

    Starts up the tracer

    Parameters

      recover – whether or not this is a recovery call (so whether or not the file should be appended to)

  stopTracer()

    Stop the tracer

  trace(model_name, time, port_name, vcd_state)

    Trace a VCD entry

    Parameters

      - model_name – name of the model

      - time – time at which transition happened

      - port_name – name of the port

      - vcd_state – state to trace on the specified port

  traceConfluent(aDEVS)

    The trace functionality for VCD output at a confluent transition

    Parameters

      aDEVS – the model that transitioned

  traceExternal(aDEVS)

    The trace functionality for VCD output at an external transition

    Parameters

      aDEVS – the model that transitioned

  traceInit(aDEVS, t)

    The trace functionality for VCD output at initialisation

    Parameters

      - aDEVS – the model that was initialized

      - t – time at which it should be traced

  traceInternal(aDEVS)

    The trace functionality for VCD output at an internal transition

    Parameters

      aDEVS – the model that transitioned

  vcdHeader()

    Create the VCD file header by doing calls to the coordinator